## com.sun.grizzly
Interface SSLCallbackHandler<E>

All Superinterfaces:
  CallbackHandler<E>, Handler

All Known Implementing Classes:
  DefaultCallbackHandler

    public interface SSLCallbackHandler<E>

extends CallbackHandler<E>

This class extends the CallbackHandler functionalities by exposing the onHandshake method.

Author:
  Alexey Stashok

Method Summary
`void` `onHandshake(IOEvent<E> ioEvent)` This method is called when an non blocking OP_CONNECT is ready to get processed.

Methods inherited from interface com.sun.grizzly.CallbackHandler
`onConnect, onRead, onWrite`

Method Detail

### onHandshake

    void onHandshake(IOEvent<E> ioEvent)

  This method is called when an non blocking OP_CONNECT is ready to get processed.

  Parameters:
    `ioEvent` - an object containing information about the current non blocking connection.

Copyright © 2008 SUN Microsystems. All Rights Reserved.